package DE_EPAGES::Ebay::t::unit::getReturnPolicy;
use base DE_EPAGES::Core::API::Test;

use strict;
use Test::More;
use DE_EPAGES::Ebay::t::unit::getReturnPolicyData qw (  EBAY_GET_RETURN_POLICY_VALID_RESPONSE
                                                        EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_1
                                                        EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_2);
use DE_EPAGES::Ebay::UI::Ebay;

sub test {
    my $self = shift;

    $self->test_valid_response();
    $self->test_empty_response();

    done_testing();
}

sub test_valid_response {
    my $self = shift;

    my $aReturnsWithin = DE_EPAGES::Ebay::UI::Ebay->getReturnsWithinOptionsCodes(EBAY_GET_RETURN_POLICY_VALID_RESPONSE);

    is($aReturnsWithin->[0]->{'ReturnsWithinOption'},'Days_14','Value - first value is 14 days');
    is($aReturnsWithin->[0]->{'Description'},'14 Tage','Description - first value is 14 days');
    is($aReturnsWithin->[1]->{'ReturnsWithinOption'},'Months_1','Value - second value is 1 month');
    is($aReturnsWithin->[1]->{'Description'},'1 Monat','Description - second value is 1 month');
}

sub test_empty_response {
    my $self = shift;

    my $aReturnsWithin = DE_EPAGES::Ebay::UI::Ebay->getReturnsWithinOptionsCodes(EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_1);
    is(scalar @$aReturnsWithin,0,'Empty return policy repsonse 1');

    $aReturnsWithin = DE_EPAGES::Ebay::UI::Ebay->getReturnsWithinOptionsCodes(EBAY_GET_RETURN_POLICY_EMPTY_RESPONSE_2);
    is($aReturnsWithin,undef,'Empty return policy repsonse 2');
}

__PACKAGE__->runScript;

1;
