#==================================================================================================
# package      DE_EPAGES::SIA::t::unit::MerchantRegistrationHeader
# state        public
#--------------------------------------------------------------------------------------------------
# description  Unit test for DE_EPAGES::SIA::API::Types::MerchantRegistrationHeader
#==================================================================================================
package DE_EPAGES::SIA::t::unit::MerchantRegistrationHeader;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::SIA::API::Types::MerchantRegistrationHeader;
use Test::More;

use strict;

sub test {
    my $self = shift;

    $self->test_constructor();
    done_testing();

    return;
}

sub test_constructor {
    my $self = shift;

    my $Result    = DE_EPAGES::SIA::API::Types::MerchantRegistrationHeader->createFileHeader();
    my $ExpResult = join(
        '',
        '010',                                                              # register code
        'INTERFACE DE MANTENIMIENTO SCNP I\+M - SIA                   ',    # file description
        '\d{8}',                                                            # date
        '\d{9}',                                                            # sequence number
        '\s{1420}',                                                         # filler
    );

    ok( $Result =~ /$ExpResult/, 'merchant registration file header' );

    return;
}

__PACKAGE__->runScript();
1;
