#==================================================================================================
# package      DE_EPAGES::SIA::t::unit::RegistrationTransactionHandler
# state        public
#--------------------------------------------------------------------------------------------------
# description  Unit test for DE_EPAGES::SIA::API::TLE::RegistrationTransactionHandler
#==================================================================================================
package DE_EPAGES::SIA::t::unit::RegistrationTransactionHandler;
use base DE_EPAGES::Core::API::Test;

use DE_EPAGES::SIA::API::TLE::RegistrationTransactionHandler;
use DE_EPAGES::SIA::API::Types::MerchantRegistrationData;
use DE_EPAGES::Core::API::Log qw (SetLogLevel);
use Test::More;

use strict;

sub test {
    my $self = shift;

    # disable log to not spam logfiles and confuse
    SetLogLevel('FATAL', sub {
            $self->test_getCurrentRegistrationTransaction_undefParams();
            $self->test_getCurrentRegistrationTransaction_emptyParams();
            $self->test_getCurrentRegistrationTransaction_invalidPaymentMethod();
        },'DE_EPAGES::SIA::API::TLE::RegistrationTransactionHandler');
    done_testing();
    return;
}

sub test_getCurrentRegistrationTransaction_undefParams {
    my $self = shift;

    my $RegistrationData    = DE_EPAGES::SIA::API::TLE::RegistrationTransactionHandler->new();
    my $Result              = $RegistrationData->getCurrentRegistrationTransaction();
    my $ExpectedResult      = {};

    is_deeply( $Result, $ExpectedResult, 'getCurrentRegistrationTransaction undefParams' );

    return;
}

sub test_getCurrentRegistrationTransaction_emptyParams {
    my $self = shift;

    my $RegistrationData    = DE_EPAGES::SIA::API::TLE::RegistrationTransactionHandler->new();
    my $Result              = $RegistrationData->getCurrentRegistrationTransaction( [] );
    my $ExpectedResult = {};

    is_deeply( $Result, $ExpectedResult, 'getCurrentRegistrationTransaction emptyParams' );

    return;
}

sub test_getCurrentRegistrationTransaction_invalidPaymentMethod {
    my $self = shift;

    my $RegistrationData    = DE_EPAGES::SIA::API::TLE::RegistrationTransactionHandler->new();
    my $Result              = $RegistrationData->getCurrentRegistrationTransaction(['Test']);
    my $ExpectedResult = {};
    is_deeply( $Result, $ExpectedResult, 'getCurrentRegistrationTransaction invalidPaymentMethod' );

    return;
}

__PACKAGE__->runScript();
1;
